View Issue Details

IDProjectCategoryView StatusLast Update
0005820unrealircdpublic2021-03-07 08:50
Reporterarmyn Assigned Tosyzop  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.0.8 
Fixed in Version5.0.9-rc1 
Summary0005820: /Eline bugging with the spamfilter or it's me who doesn't know how to use it
DescriptionSyntax: /ELINE <user@host> <bantypes> <expiry-time> <reason>
    Or: /ELINE <extserverban> <bantypes> <expiry-time> <reason>
- Valid bantypes are:
- k: K-Line G: G-Line
- z: Z-Line Z: Global Z-Line
- Q: Q-Line
- s: Shun
- F: Spamfilter
- b: Blacklist checking
- c: Connect flood (bypass set::anti-flood::connect-flood))
- d: Unknown data flood (no ZLINE on too much data before registration)
- m: Bypass allow::maxperip restriction
- r: Bypass antirandom module
- 8: Bypass antimixedutf8 module
- v: Bypass ban version { } blocks
- Examples:
- /ELINE *@unrealircd.org kGf 0 This user is exempt
- /ELINE ~S:1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef kGf 0 Trusted user with this certificate fingerprint
- -


For example if I type this:
Steps To Reproduce1) I execute: /spamfilter add -regex cp shun 20s Spam_interdit test123
2) I execute: /eline ~a:nick1 F 0 This user is exempt
3) nick1 send this message "test123" and it shuns but it is not excepted, it can no longer write

Eline command does not work with spamfilter
TagsNo tags attached.
3rd party modules

Activities

PeGaSuS

2021-03-01 13:46

reporter   ~0021896

I can confirm the issue.

Example:
[01/03/2021-13:37:55] *** Permanent Exception added for ~a:Test for types 'F' on Mon Mar  1 12:37:55 2021 GMT (from James!James@PTirc/Users/James: Eline test)
[01/03/2021-13:38:52] [Spamfilter] Test!weechater@<redacted> matches filter '*mediadoka*': [PRIVMSG #spamtest: 'this is a mediadoka spamfilter test'] [Spam/Flood/Advertising/Other abuses]


The user is, however, registered and identified:
[01/03/2021-13:39:28] [Test] (weechater@PTirc/Users/Test): Weechat User
[01/03/2021-13:39:28] [Test] is using modes +iwrxztIB 
[01/03/2021-13:39:28] [Test] is connecting from weechater@<redacted> <redacted>
[01/03/2021-13:39:28] [Test] is identified for this nick
[01/03/2021-13:39:28] [Test] @#spamtest #Software 
[01/03/2021-13:39:28] [Test] irc2.ptirc.org :PTirc IRC Network
[01/03/2021-13:39:28] [Test] is using a Secure Connection
[01/03/2021-13:39:28] [Test] is a Bot on PTirc
[01/03/2021-13:39:28] [Test] is using an IP with a reputation score of 10000
[01/03/2021-13:39:28] [Test] connected from France (FR), Europe
[01/03/2021-13:39:28] [Test] is logged in as Test
[01/03/2021-13:39:28] [Test] idle 00:00:36, signon: Mon Mar  1 13:15:58
[01/03/2021-13:39:28] [Test] End of WHOIS list.

syzop

2021-03-07 08:50

administrator   ~0021898

Funny, there was never any code added to check for exceptions of type 'F'. A smallll oversight on my part :D.
Thanks for the report, fixed now and will be in 5.0.9.

commit 1854bfffd0c099a646f52176a0446c6cf87b1ea3 (HEAD -> unreal50, origin/unreal50)
Author: Bram Matthys <syzop@vulnscan.org>
Date: Sun Mar 7 08:46:24 2021 +0100

    ELINE and except ban for type 'F' (spamfilter) were not working.
    Reported by armyn in https://bugs.unrealircd.org/view.php?id=5820

Issue History

Date Modified Username Field Change
2021-03-01 12:36 armyn New Issue
2021-03-01 13:46 PeGaSuS Note Added: 0021896
2021-03-07 08:50 syzop Assigned To => syzop
2021-03-07 08:50 syzop Status new => resolved
2021-03-07 08:50 syzop Resolution open => fixed
2021-03-07 08:50 syzop Fixed in Version => 5.0.9-rc1
2021-03-07 08:50 syzop Note Added: 0021898